%define fname	fdb

Name:		python-fdb
Summary:	Firebird RDBMS bindings for Python
Version:	0.9.9
Release:	%mkrel 2
Source0:	http://pypi.python.org/packages/source/f/%{fname}/%{fname}-%{version}.tar.gz
URL:		www.firebirdsql.org/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	firebird-devel
BuildRequires:	python-setuptools
	
%description
Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3.

%package -n python3-fdb
Summary:	Firebird RDBMS bindings for Python 3
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	firebird-devel
BuildRequires:	python3-setuptools

%description -n python3-fdb
Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3.

%package doc
Summary:	Documentation for fdb
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation for fdb,
set of Firebird RDBMS bindings for Python.

%prep
%setup -q -c
rm -rf %{fname}.egg-info
mv %{fname}-%{version} python2
pushd python2
%apply_patches
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/README python2/LICENSE.TXT
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}

%files -n python3-fdb
%doc python3/README python2/LICENSE.TXT
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}

%files doc
%doc python2/docs/* python2/README python2/ReleaseNotes.txt python2/LICENSE.TXT



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 philippem <philippem> 0.9.9-1.mga3
+ Revision: 324115
- update to 0.9.9

* Fri Oct 12 2012 philippem <philippem> 0.9.1-2.mga3
+ Revision: 305063
- Fix upstream bug PYFB-22

* Tue Oct 09 2012 philippem <philippem> 0.9.1-1.mga3
+ Revision: 303986
- Upgrade to 0.9.1

* Sat Sep 29 2012 fwang <fwang> 0.8.5-3.mga3
+ Revision: 300373
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.8.5-2.mga3
+ Revision: 300275
- imported package python-fdb

